define({"542":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_empty.htm",l:-1,t:"empty",i:0.000637286497962675,a:"empty The empty method determines whether the JSON object is empty. Syntax empty() Returns (Boolean). Returns true if the object has no attributes (name/value pairs). Example local myJsonObject = LuaJsonObject:new()\nprint(myJsonObject:empty())\n-- true\n"},"543":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_erase.htm",l:-1,t:"erase",i:0.000637286497962675,a:"erase The erase method removes a specified attribute (name/value pair) from the JSON object. Syntax erase( name ) Arguments Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nmyJsonObject:erase(\"version\")\nprint (myJsonObject:string())\n-- {\"product\":\"IDOL\"}"},"544":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_exists.htm",l:-1,t:"exists",i:0.00424849151567825,a:"The exists method checks whether a specified path exists in the JSON object. Syntax exists( pathElements ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example \nConsider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"545":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_existsByPath.htm",l:-1,t:"existsByPath",i:0.00424849151567825,a:"The existsByPath method checks whether a specified path exists in the JSON object. Syntax existsByPath( path ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example Consider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"546":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_lookup.htm",l:-1,t:"lookup",i:0.00424849151567825,a:"The lookup method returns the value at the specified path in the JSON object. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookup( pathElements ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"547":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_lookupByPath.htm",l:-1,t:"lookupByPath",i:0.00424849151567825,a:"The lookupByPath method returns the value at the specified path in the JSON object. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookupByPath( path ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"548":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_pairs.htm",l:-1,t:"pairs",i:0.000637286497962675,a:"The pairs method returns an iterator function that you can use with a for loop to iterate over all of the attributes contained in the JSON object. Syntax pairs() Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\n\nfor i, v in myJsonObject:pairs() do\n  print (i .. \u0027=\u0027 ..."},"549":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_size.htm",l:-1,t:"size",i:0.000637286497962675,a:"size The size method returns the number of attributes (name/value pairs) in the JSON object. Syntax size() Returns (Number). The number of attributes in the JSON object. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nprint (myJsonObject:size())\n-- 2"},"550":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_string.htm",l:-1,t:"string",i:0.000637286497962675,a:"string The string method returns the JSON object as a string. Syntax string() Returns (String). The JSON object as a string. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nprint (myJsonObject:string())\n-- {\"product\":\"IDOL\",\"version\":11}"},"551":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA__LuaJsonValue.htm",l:-1,t:"LuaJsonValue Methods",i:0.00222907876920368,a:"A LuaJsonValue object represents a JSON value.  If you have a LuaJsonValue object called myJsonValue you can call its methods using the \u0027:\u0027 operator. For example: myJsonValue:is_object() Method Description array Gets a LuaJsonArray that represents the JSON array, if the value is an array. copy ..."},"552":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_LuaJsonValue_new.htm",l:-1,t:"LuaJsonValue:new",i:0.000575342320395904,a:"LuaJsonValue:new The constructor for a LuaJsonValue object (creates a new LuaJsonValue). Syntax LuaJsonValue:new( value ) Arguments Returns (LuaJsonValue). The new LuaJsonValue object."},"553":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_array.htm",l:-1,t:"array",i:0.000575342320395904,a:"The array method gets the array, if the value is a JSON array. Syntax array() Returns (LuaJsonArray). A  LuaJsonArray  object that represents the array. Example local fh = io.open(\"example_array.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = ..."},"554":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_copy.htm",l:-1,t:"copy",i:0.000575342320395904,a:"copy The copy method returns a copy of the value. Modifying the copy does not affect the original value. Syntax copy() Returns (LuaJsonValue). A copy of the value."},"555":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_exists.htm",l:-1,t:"exists",i:0.00383554149137093,a:"The exists method checks whether a specified path exists in the JSON value. Syntax exists( pathElements ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example \nConsider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"556":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_existsByPath.htm",l:-1,t:"existsByPath",i:0.00383554149137093,a:"The existsByPath method checks whether a specified path exists in the JSON value.  Syntax existsByPath( path ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example Consider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"557":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_array.htm",l:-1,t:"is_array",i:0.000575342320395904,a:"is_array The is_array method whether the value is a JSON array. Syntax is_array() Returns (Boolean). Returns true if the value is an array value, false otherwise."},"558":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_boolean.htm",l:-1,t:"is_boolean",i:0.000575342320395904,a:"is_boolean The is_boolean method returns whether the value is a Boolean value. Syntax is_boolean() Returns (Boolean). Returns true if the value is a Boolean value, false otherwise."},"559":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_float.htm",l:-1,t:"is_float",i:0.000575342320395904,a:"is_float The is_float method returns whether the value is a floating point value. Syntax is_float() Returns (Boolean). Returns true if the value is a floating point value, false otherwise."},"560":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_integer.htm",l:-1,t:"is_integer",i:0.000575342320395904,a:"is_integer The is_integer method returns whether the value is an integral value. Syntax is_integer() Returns (Boolean). Returns true if the value is an integer value, false otherwise."},"561":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_null.htm",l:-1,t:"is_null",i:0.000575342320395904,a:"is_null The is_null method returns whether the value is a null value. Syntax is_null() Returns (Boolean). Returns true if the value is a null value, false otherwise."},"562":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_number.htm",l:-1,t:"is_number",i:0.000575342320395904,a:"is_number The is_number method returns whether the value is a number. Syntax is_number() Returns (Boolean). Returns true if the value is a number, false otherwise."},"563":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_object.htm",l:-1,t:"is_object",i:0.000575342320395904,a:"is_object The is_object method returns whether the value is a JSON object. Syntax is_object() Returns (Boolean). Returns true if the value is a JSON object, false otherwise."},"564":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_simple_value.htm",l:-1,t:"is_simple_value",i:0.000575342320395904,a:"is_simple_value The is_simple_value method returns whether the value is a simple value (Boolean, float, integer, or string). Syntax is_simple_value() Returns (Boolean). Returns true if the value is a simple value, false otherwise."},"565":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_string.htm",l:-1,t:"is_string",i:0.000575342320395904,a:"is_string The is_string method returns whether the value is a string value. Syntax is_string() Returns (Boolean). Returns true if the value is a string value, false otherwise."},"566":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_lookup.htm",l:-1,t:"lookup",i:0.00383554149137093,a:"The lookup method returns the value at the specified path in the JSON value. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookup( pathElements ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified path, ..."},"567":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_lookupByPath.htm",l:-1,t:"lookupByPath",i:0.00383554149137093,a:"The lookupByPath method returns the value at the specified path in the JSON array. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookupByPath( path ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"568":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_object.htm",l:-1,t:"object",i:0.000575342320395904,a:"The object method gets the object, if the value is a JSON object. Syntax object() Returns (LuaJsonObject) A  LuaJsonObject  object that represents the JSON object. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n\nlocal myJsonValue = ..."},"569":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_string.htm",l:-1,t:"string",i:0.000575342320395904,a:"The string method returns the JSON value as a string. Syntax string() Returns (String). The JSON value as a string. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = parse_json(file_content)\n\nprint(myJsonValue:string())\n"},"570":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_value.htm",l:-1,t:"value",i:0.000575342320395904,a:"The value method gets the value, if the JSON value is a simple type (a Boolean, float, integer, or string). This method returns a default value if one is specified and the value cannot be converted to the same type as the default. Syntax value( [default] ) Arguments Returns (lua_json_simple_type). A ..."},"571":{y:0,u:"../Content/Lua/LuaLog/_LUA_LuaLog.htm",l:-1,t:"LuaLog Methods",i:0.00380282289542945,a:"LuaLog Methods A LuaLog object provides the capability to use a log stream. You can obtain a LuaLog object for a log stream by using the function  get_log . If you have a LuaLog object called log you can call its methods using the \u0027:\u0027 operator. For example: log:write_line(level, message)"},"572":{y:0,u:"../Content/Lua/LuaLog/_LUA_write_line.htm",l:-1,t:"write_line",i:0.00209182276873644,a:"The write_line method writes a message to the log stream. Syntax write_line( level, message ) Arguments Example To write a log message from the ExecuteDocumentLua processor in  NiFi: local log = get_log()\nlog:write_line(log_level_normal(), \"doing something...\")\n\n-- or use the following ..."},"573":{y:0,u:"../Content/Lua/LuaLogService/_LUA__LuaLogService.htm",l:-1,t:"LuaLogService Methods",i:0.000584348812747919,a:"A LuaLogService object provides the capability to write messages to a custom log file. To write messages to standard log files, OpenText recommends using the function  get_log  instead. If you have a LuaLogService object called myLogService you can call its methods using the \u0027:\u0027 operator. For ..."},"574":{y:0,u:"../Content/Lua/LuaLogService/_LUA_LuaLogService_new.htm",l:-1,t:"LuaLogService:new",i:0.000641185897132229,a:"The constructor for a LuaLogService object (creates a new LuaLogService). Do not construct a new log service to write messages to log types that are defined in the Google Mail Connector configuration file. Syntax LuaLogService:new( config ) Arguments Returns (LuaLogService). The new LuaLogService ..."},"575":{y:0,u:"../Content/Lua/LuaLogService/_LUA_get_log.htm",l:-1,t:"get_log",i:0.000641185897132229,a:"get_log The get_log method returns a LuaLog object that you can use to write log messages to a specified log type. Syntax get_log( type ) Arguments Returns (LuaLog). A  LuaLog  object."},"576":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_LuaRegexMatch_Methods.htm",l:-1,t:"LuaRegexMatch Methods",i:0.00123346731295527,a:"A LuaRegexMatch object provides information about the matches for a regular expression found in a string. For example, the regex_search function returns a LuaRegexMatch object. If a match is found for a regular expression at multiple points in the string, you can use the next() method to get a ..."},"577":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_length.htm",l:-1,t:"length",i:0.000685309918196888,a:"length The length method returns the length of the match. You can also retrieve the length of sub matches by specifying the submatch parameter. Syntax length( [ submatch ] ) Arguments Returns (Number). The length of the sub match."},"578":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_next.htm",l:-1,t:"next",i:0.000685309918196888,a:"next The next method returns a LuaRegexMatch object for the next match. Syntax next() Returns (LuaRegexMatch). A LuaRegexMatch object for the next match, or nil if there are no matches following this one."},"579":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_position.htm",l:-1,t:"position",i:0.000685309918196888,a:"The position method returns the position of the match in the string searched, where 1 refers to the first character in the string. You can also retrieve the position of sub matches by specifying the submatch parameter. Syntax position( [ submatch ] ) Arguments Returns (Number). The position of the ..."},"580":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_size.htm",l:-1,t:"size",i:0.000685309918196888,a:"size The size method returns the total number of sub matches made for the current match, including the whole match (sub match 0). Syntax size() Returns (Number). The number of sub matches for the current match."},"581":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_str.htm",l:-1,t:"str",i:0.000685309918196888,a:"str The str method returns the matched text. You can also retrieve the values of sub matches by specifying the submatch parameter. Syntax str( [ submatch ] ) Arguments Returns (String). The value of the sub match."},"582":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_LuaXmlDocument_Methods.htm",l:-1,t:"LuaXmlDocument Methods",i:0.000475620260558235,a:"This section describes the methods provided by LuaXmlDocument objects. A LuaXmlDocument object provides methods for accessing information stored in XML format. You can create a LuaXmlDocument from a string containing XML using the parse_xml function. If you have a LuaXmlDocument object called xml ..."},"583":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_root.htm",l:-1,t:"root",i:0.000556475769662572,a:"root The root method returns an LuaXmlNode, which is the root node of the XML document. Syntax root() Returns (LuaXmlNode). A LuaXmlNode object."},"584":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathExecute.htm",l:-1,t:"XPathExecute",i:0.000556475769662572,a:"XPathExecute The XPathExecute method returns a LuaXmlNodeSet, which is the result of the supplied XPath query. Syntax XPathExecute( xpathQuery ) Arguments Returns (LuaXmlNodeSet). A LuaXmlNodeSet object."},"585":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathRegisterNs.htm",l:-1,t:"XPathRegisterNs",i:0.000556475769662572,a:"XPathRegisterNs The XPathRegisterNs method registers a namespace with the XML parser. Syntax XPathRegisterNs( prefix, location ) Arguments Returns (Boolean). True if successful, False in case of error."},"586":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValue.htm",l:-1,t:"XPathValue",i:0.000556475769662572,a:"XPathValue The XPathValue method returns the first occurrence of the value matching the XPath query. Syntax XPathValue( query ) Arguments Returns (String). A string of the value."},"587":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValues.htm",l:-1,t:"XPathValues",i:0.000556475769662572,a:"The XPathValues method returns the values according to the XPath query. Syntax XPathValues( query ) Arguments Returns (Strings). The strings can be assigned to a table. To map the return values to a table, surround the function call with braces. For example: values = { xml:XPathValues(query) }"},"588":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_LuaXmlNodeSet_Methods.htm",l:-1,t:"LuaXmlNodeSet Methods",i:0.000475620260558235,a:"LuaXmlNodeSet Methods A LuaXmlNodeSet object represents a set of XML nodes. If you have a LuaXmlNodeSet object called nodes you can call its methods using the \u0027:\u0027 operator. For example: nodes:size()"},"589":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_at.htm",l:-1,t:"at",i:0.000677759033319077,a:"at The at method returns the LuaXmlNode at position position in the set. Syntax at( position ) Arguments Returns (LuaXmlNode)."},"590":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_size.htm",l:-1,t:"size",i:0.000677759033319077,a:"size The size method returns the size of the node set. Syntax size() Returns (Number) An integer, the size of the node set."},"591":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_LuaXmlNode_Methods.htm",l:-1,t:"LuaXmlNode Methods",i:0.000475620260558235,a:"LuaXmlNode Methods A LuaXmlNode object represents a single node in an XML document.  If you have a LuaXmlNode object called node you can call its methods using the \u0027:\u0027 operator. For example: node:name()"},"592":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_attr.htm",l:-1,t:"attr",i:0.000516048015110403,a:"attr The attr method returns the first LuaXmlAttribute attribute object for the LuaXmlNode. If the name argument is specified, the method returns the first LuaXmlAttribute object with the specified name. Syntax attr( [name] ) Arguments Returns (LuaXmlAttribute). "},"593":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_content.htm",l:-1,t:"content",i:0.000516048015110403,a:"content The content method returns the content (text element) of the XML node. Syntax content() Returns (String). A string containing the content."},"594":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_firstChild.htm",l:-1,t:"firstChild",i:0.000516048015110403,a:"firstChild The firstChild method returns the LuaXmlNode that is the first child of this node. Syntax firstChild() Returns (LuaXmlNode)."},"595":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_lastChild.htm",l:-1,t:"lastChild",i:0.000516048015110403,a:"lastChild The lastChild method returns the LuaXmlNode that is the last child of this node. Syntax lastChild() Returns (LuaXmlNode)."},"596":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_name.htm",l:-1,t:"name",i:0.000516048015110403,a:"name The name method returns the name of the XML node. Syntax name() Returns (String). A string containing the name."},"597":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_next.htm",l:-1,t:"next",i:0.000516048015110403,a:"next The next method returns the LuaXmlNode that is the next sibling of this node. Syntax next() Returns (LuaXmlNode)."},"598":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_nodePath.htm",l:-1,t:"nodePath",i:0.000516048015110403,a:"nodePath The nodePath method returns the XML path to the node, which can be used in another XPath query. Syntax nodePath() Returns (String). A string containing the path."},"599":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_parent.htm",l:-1,t:"parent",i:0.000516048015110403,a:"parent The parent method returns the parent LuaXmlNode of the node. Syntax parent() Returns (LuaXmlNode)."},"600":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_prev.htm",l:-1,t:"prev",i:0.000516048015110403,a:"prev The prev method returns a LuaXmlNode that is the previous sibling of this node. Syntax prev() Returns (LuaXmlNode)."},"601":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_type.htm",l:-1,t:"type",i:0.000516048015110403,a:"The type method returns the type of the node as a string. Syntax type() Returns (String) A string containing the type. Possible values are: element_node comment_node element_decl attribute_node document_node attribute_decl text_node document_type_node entity_decl cdata_section_node ..."},"602":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_LuaXmlAttribute_Methods.htm",l:-1,t:"LuaXmlAttribute Methods",i:0.000475620260558235,a:"LuaXmlAttribute Methods A LuaXmlAttribute object represents an attribute on an XML element. If you have a LuaXmlAttribute object called attribute you can call its methods using the \u0027:\u0027 operator. For example: attribute:name()"},"603":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_name.htm",l:-1,t:"name",i:0.000576689646938656,a:"name The name method returns the name of this attribute. Syntax name() Returns (String). A string containing the name of the attribute."},"604":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_next.htm",l:-1,t:"next",i:0.000576689646938656,a:"next The next method returns a LuaXmlAttribute object for the next attribute in the parent element. Syntax next() Returns (LuaXmlAttribute)."},"605":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_prev.htm",l:-1,t:"prev",i:0.000576689646938656,a:"prev The prev method returns a LuaXmlAttribute object for the previous attribute in the parent element. Syntax prev() Returns (LuaXmlAttribute)."},"606":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_value.htm",l:-1,t:"value",i:0.000576689646938656,a:"value The value method returns the value of this attribute. Syntax value() Returns (String). A string containing the value of the attribute."},"607":{y:0,u:"../Content/Resources/MasterPages/_FT_Glossary.htm",l:-1,t:"Glossary",i:0.000475620260558235,a:"Glossary"},"608":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_SSLConfig.htm",l:-1,t:"SSLConfig",i:0.000651162968483715,a:"SSLConfig The name of a section in the configuration file that contains the SSL settings to use when connecting to the repository."},"609":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_BasicUsername.htm",l:-1,t:"BasicUsername",i:0.00317074664357768,a:"The username to use to access resources protected by basic authentication. OpenText recommends encrypting the value of this parameter before entering it into the configuration file. For information about how to encrypt parameter values, refer to the Google Mail Connector Administration Guide."},"610":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_MaxPriority.htm",l:-1,t:"Max-Priority",i:0.0022553983443552,a:"Max-Priority Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the connector only returns actions that have a priority the same as or below the specified value. "},"611":{y:0,u:"../Content/Service/ServiceActions/_ACI_Name.htm",l:-1,t:"Name",i:0.00107827819620283,a:"Name Type the name of the log stream you want to return. To retrieve a list of log stream names, use the  GetLogStreamNames  service action."},"612":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_GSSName.htm",l:-1,t:"GSSName",i:0.00317074664357768,a:"GSSName The file name of the GSS library. This library is required to use Kerberos authentication."},"613":{y:0,u:"../Content/Shared_Admin/Installation/_ADM_Install_WindowsServices.htm",l:-1,t:"Install a Knowledge Discovery Component as a Service on Windows",i:0.000542999851478516,a:"On Microsoft Windows operating systems, you can install any Knowledge Discovery component as a Windows service. Installing a component as a Windows service makes it easy to start and stop the component, and you can configure a component to start automatically when you start Windows. Use the ..."},"614":{y:0,u:"../Content/Actions/General/_ACI_IP.htm",l:-1,t:"IP",i:0.00107788483212747,a:"IP The IP address for which to check permissions. By default, the  ShowPermissions  action checks the permissions for the client that sends the request."},"615":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_UseSpnego.htm",l:-1,t:"UseSpnego",i:0.000475620260558235,a:"UseSpnego Specifies whether to use the SPNEGO protocol to decide which type of authentication to use."},"616":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_QueuedBefore.htm",l:-1,t:"Queued-Before",i:0.0022553983443552,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that were added to the queue before the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ..."},"617":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_HttpReadTimeout.htm",l:-1,t:"HttpReadTimeout",i:0.00317074664357768,a:"HttpReadTimeout The maximum amount of time that the connector waits to receive data from an HTTP server. When the connector receives data, it waits up to this amount of time to receive more data."},"618":{y:0,u:"../Content/Lua/_LUA_HTTP_Client_Config.htm",l:-1,t:"HTTP Client Parameters",i:0.00319010641153439,a:"This page describes the HTTP Client options that you can use with the Lua function  send_http_request . When configuring authentication, do not set more than one of the following combinations. BasicUsername and BasicPassword DigestUsername and DigestPassword NTLMUsername and NTLMPassword You can ..."},"619":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_StartedAfter.htm",l:-1,t:"Started-After",i:0.0022553983443552,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that started processing after the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ YYYY/MM/DD ..."},"620":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_EnableKerberos.htm",l:-1,t:"EnableKerberos",i:0.00317074664357768,a:"EnableKerberos A Boolean value that specifies whether to use Kerberos authentication."},"621":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_DigestPassword.htm",l:-1,t:"DigestPassword",i:0.00317074664357768,a:"The password to use to access resources protected by HTTP Digest authentication. OpenText recommends encrypting the value of this parameter before entering it into the configuration file. For information about how to encrypt parameter values, refer to the Google Mail Connector Administration Guide."},"622":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_QueuedAfter.htm",l:-1,t:"Queued-After",i:0.0022553983443552,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that were added to the queue after the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ..."},"623":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_SortBy.htm",l:-1,t:"Sort-By",i:0.0022553983443552,a:"Sort-By The property to use to sort the actions that are returned: queue-time - The time the request was received. start-time - The time the server began processing the request. finish-time - The time the server finished processing the request."},"624":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_NTLMUsername.htm",l:-1,t:"NTLMUsername",i:0.00317074664357768,a:"NTLMUsername The username to use to access resources protected by NTLM authentication."},"625":{y:0,u:"../Content/Actions/General/_ACI_Filename.htm",l:-1,t:"Filename",i:0.00130266071603839,a:"Filename The path of the backup file. "},"626":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_EnableHTTPTraceTimestamps.htm",l:-1,t:"EnableHTTPTraceTimestamps",i:0.000475620260558235,a:"EnableHTTPTraceTimestamps A Boolean value that specifies whether to add a timestamp to the log file that is generated when you set  EnableHTTPTrace  to TRUE, every time the data transfer direction changes. The timestamps are in epoch-milliseconds."},"627":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_EnableHTTPTrace.htm",l:-1,t:"EnableHTTPTrace",i:0.00462684787736753,a:"A Boolean value that specifies whether to log information for troubleshooting the connection to the repository. When you set this parameter to TRUE, the connector writes additional log files to the NETLIB folder in the connector installation directory. This parameter is intended for troubleshooting ..."},"628":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_MaxDepth.htm",l:-1,t:"MaxDepth",i:0.0022553983443552,a:"The maximum number of levels to include in the output. For example, if you set  MaxDepth=0, the progress of an action is reported, but the progress of its stages is not. If you set  MaxDepth=2, the progress of an action and its stages is reported, and each stage can be divided into sub-stages."},"629":{y:0,u:"../Content/Actions/General/_ACI_Path.htm",l:-1,t:"Path",i:0.000813443268796031,a:"Path The folder in which to save the backup file. "},"630":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_UseNTLMv2.htm",l:-1,t:"UseNTLMv2",i:0.00317074664357768,a:"UseNTLMv2 A Boolean value that specifies whether to use NTLM version 2, rather than version 1, to access resources protected by NTLM authentication."},"631":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_SortOrder.htm",l:-1,t:"Sort-Order",i:0.0022553983443552,a:"Sort-Order The order to use to sort the actions that are returned: ascending  - The oldest action is listed first. descending - The most recent action is listed first."},"632":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_DigestUsername.htm",l:-1,t:"DigestUsername",i:0.00317074664357768,a:"The username to use to access resources protected by HTTP Digest authentication. OpenText recommends encrypting the value of this parameter before entering it into the configuration file. For information about how to encrypt parameter values, refer to the Google Mail Connector Administration Guide."},"633":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_NTLMPassword.htm",l:-1,t:"NTLMPassword",i:0.00317074664357768,a:"The password to use to access resources protected by NTLM authentication. OpenText recommends encrypting the value of this parameter before entering it into the configuration file. For information about how to encrypt parameter values, refer to the Google Mail Connector Administration Guide."},"634":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_BasicPassword.htm",l:-1,t:"BasicPassword",i:0.00317074664357768,a:"The password to use to access resources protected by basic authentication. OpenText recommends encrypting the value of this parameter before entering it into the configuration file. For information about how to encrypt parameter values, refer to the Google Mail Connector Administration Guide."},"635":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_AllStages.htm",l:-1,t:"AllStages",i:0.0022553983443552,a:"AllStages A Boolean that specifies what information to show in the response. The default (False)   merges the finished stages of a task and does not expand pending stages into sub-stages. To show this information, set this parameter to  True."},"636":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_UseSystemProxy.htm",l:-1,t:"UseSystemProxy",i:0.000475620260558235,a:"A Boolean value that specifies whether to obtain details about your HTTP proxy from the system. On Windows, the connector reads the proxy settings configured through Internet Explorer or the Windows Control Panel. On Linux, the connector reads the proxy settings from environment variables such as ..."},"637":{y:0,u:"../Content/Actions/SharedParameters/_ACI_FileName.htm",l:-1,t:"FileName",i:0.00222508727236792,a:"The location of the file to write the action output to, if you have set  Output  to  File. Type the full path to the file. The path that you specify must be listed in the  AllowedOutputDirectoryCSVs  configuration parameter. Google Mail Connector cannot write the output file to directories that are ..."},"638":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Output.htm",l:-1,t:"Output",i:0.00411640601478744,a:"Type  File to write action output to a file. If you set Output to  File, you must use the  FileName  parameter to specify the name and the location of the file that you want to write the output to. The path that you specify in  FileName  must be listed in the  AllowedOutputDirectoryCSVs  ..."},"639":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_MaxResults.htm",l:-1,t:"MaxResults",i:0.0022553983443552,a:"MaxResults The maximum number of results to return in the response when you run action=QueueInfo\u0026QueueAction=getStatus. The default value of this parameter does not limit the number of results. "},"640":{y:0,u:"../Content/Service/ServiceActions/_ACI_File.htm",l:-1,t:"File",i:0.00254847327115541,a:"File The path and file name of the diagnostics ZIP file to create. You can use an absolute or relative path. Relative paths are relative to the current component working directory."},"641":{y:0,u:"../Content/Service/ServiceActions/_CN_Connector_Statistics.htm",l:-1,t:"Connector Statistics",i:0.000475620260558235,a:"Connector Statistics This topic describes additional statistics that connectors return through the  GetStatistics  service action. File System Connector SharePoint OData Connector SharePoint Remote Connector Web Connector"},"642":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_Start.htm",l:-1,t:"Start",i:0.0022553983443552,a:"Start The index of the first result to return in the response when you run action=QueueInfo\u0026QueueAction=getStatus. The index of the first result is  1. Use this parameter when you set the MaxResults action parameter, to page through the results."},"643":{y:0,u:"../Content/Actions/General/_ACI_Format.htm",l:-1,t:"Format",i:0.00209803048619201,a:"Format Type  XML to display the request log in XML format. "},"644":{y:0,u:"../Content/Service/ServiceActions/_ACI_Tail.htm",l:-1,t:"Tail",i:0.00107827819620283,a:"Tail Type the number of lines from the log stream to return. The lines are read from the top (that is, the most recent lines are returned). Type  -1 to return all entries."},"645":{y:0,u:"../Content/Service/ServiceActions/_ACI_FromDisk.htm",l:-1,t:"FromDisk",i:0.00107827819620283,a:"FromDisk Specifies whether the log stream is read from disk or memory. Type  True if you want the log stream to be read from disk rather than from memory. "},"646":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_QueueName.htm",l:-1,t:"QueueName",i:0.00166427673010657,a:"QueueName The name of the queue to query. There is one queue for each asynchronous action.  \n            Most of a connector\u0027s functionality is accessed through action=fetch, so usually you will specify fetch.\n        "},"647":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Template.htm",l:-1,t:"Template",i:0.00462684787736753,a:"Template The name of the XSL template to apply to the action output. Exclude the file path and file extension."},"648":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_FinishedAfter.htm",l:-1,t:"Finished-After",i:0.0022553983443552,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that finished processing after the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ..."},"649":{y:0,u:"../Content/Actions/General/_ACI_Refresh.htm",l:-1,t:"Refresh",i:0.00209803048619201,a:"Refresh The number of seconds to elapse before the request log refreshes. "},"650":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_Priority.htm",l:-1,t:"Priority",i:0.00129683382172524,a:"Priority The new priority to assign to the queued action. Specify the new priority as an integer. The higher the value you assign, the higher the priority of the action. "},"651":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_BasicOnAuthenticate.htm",l:-1,t:"BasicOnAuthenticate",i:0.00317074664357768,a:"BasicOnAuthenticate Specifies whether to delay authentication. Some types of authentication (for example Siteminder) require that authentication is delayed until credentials are requested. To delay authentication, set this parameter to  TRUE."},"652":{y:0,u:"../Content/Actions/General/_ACI_OpenLinks.htm",l:-1,t:"OpenLinks",i:0.00209803048619201,a:"OpenLinks Type  on to open logged requests in a new window when they are clicked. "},"653":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ActionID.htm",l:-1,t:"ActionID",i:0.0024616972854432,a:"A string to use to identify an ACI action. You can use this parameter to track actions that are passed between multiple Knowledge Discovery components. Each component passes the ActionID string along with the action, so that you can easily find related actions in logs for each component. If you do ..."},"654":{y:0,u:"../Content/Shared_Admin/Installation/_ADM_Install_LinuxStartup.htm",l:-1,t:"Install a Knowledge Discovery Component as a Service on Linux",i:0.00361993437408092,a:"On Linux operating systems, you can install a component as a service to allow you to easily start and stop it. You can also configure the service to run when the machine boots. The following procedures describe how to install Google Mail Connector as a service on Linux. To use these procedures, you ..."},"655":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_ProxyHost.htm",l:-1,t:"ProxyHost",i:0.00449804949541278,a:"ProxyHost The host name or IP address of the proxy server to use to access the repository."},"656":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ForceTemplateRefresh.htm",l:-1,t:"ForceTemplateRefresh",i:0.00440977179280728,a:"ForceTemplateRefresh If you specify a Template to use for your action results, you can set ForceTemplateRefresh to  True to force the ACI server  to reload this template from disk rather than from the cache."},"657":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_ProxyPort.htm",l:-1,t:"ProxyPort",i:0.00449804949541278,a:"ProxyPort The port of the proxy server to use to access the repository."},"658":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_HttpConnectTimeout.htm",l:-1,t:"HttpConnectTimeout",i:0.00317074664357768,a:"HttpConnectTimeout The maximum amount of time that the connector waits for an HTTP server to respond when establishing a connection."},"659":{y:0,u:"../Content/Actions/General/_ACI_MemoryReport_MaxDepth.htm",l:-1,t:"MaxDepth",i:0.00324818571540453,a:"MaxDepth The maximum depth to return memory information for. The  MemoryReport  response XML displays a tree structure, with information for components and their sub-components on multiple levels. You can set MaxDepth to restrict the report to this number of levels. "},"660":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_GSSPath.htm",l:-1,t:"GSSPath",i:0.00317074664357768,a:"GSSPath The path to the folder that contains the GSS library. This library is required to use Kerberos authentication."},"661":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_StartedBefore.htm",l:-1,t:"Started-Before",i:0.0022553983443552,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that started processing before the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ..."},"662":{y:0,u:"../Content/Actions/General/_ACI_Tail.htm",l:-1,t:"Tail",i:0.00209803048619201,a:"Tail The number of most recent requests that the log must display. "},"663":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_QueueAction.htm",l:-1,t:"QueueAction",i:0.00129683382172524,a:"The action to perform on the queue. Specify one of the following actions:  cancel - cancel the queued action specified by the Token parameter. Use this option to cancel an action that has not started processing. changePriority - change the priority of the queued action specified by the Token ..."},"664":{y:0,u:"../Content/Actions/General/_ACI_DiskReport_MaxDepth.htm",l:-1,t:"MaxDepth",i:0.00324818571540453,a:"The maximum number of levels to print in the output for a disk report. Google Mail Connector always counts all objects, but for this number of levels, Google Mail Connector also prints details of the components, items, directories, and files.  To print the whole directory tree, set this parameter to ..."},"665":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_UserAgent.htm",l:-1,t:"UserAgent",i:0.000651162968483715,a:"UserAgent The value to use for the user-agent in the header of requests sent to the repository."},"666":{y:0,u:"../Content/Configuration/Server/_ACI_AllowedOutputDirectoryCSVs.htm",l:-1,t:"AllowedOutputDirectoryCSVs",i:0.00317074664357768,a:"A comma-separated list of the directories that the server  can write output files to. Output files are created when an action is sent with the  Output  parameter set to  file. The path must be absolute (for example, C:\\application\\outputs or /store/application/results). The service cannot write to ..."},"667":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_Token.htm",l:-1,t:"Token",i:0.00166427673010657,a:"Token To specify a single action in the queue, specify the token. You must specify this parameter when QueueAction=cancel, or QueueAction=changePriority , or QueueAction=progress . "},"668":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ResponseFormat.htm",l:-1,t:"ResponseFormat",i:0.00317074664357768,a:"The format in which you want to receive the action output. You can use one of the following response formats: XML. XML format. Config. Config format (that is, similar to the Google Mail Connector configuration file). json. Default JSON format, as you configure in  JSONFormat . json/0. A JSON format ..."},"669":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_State.htm",l:-1,t:"State",i:0.00129683382172524,a:"State The actions to return, based on their current state. This parameter accepts a comma-separated list that contains one or more of the following values: queued - return actions that are waiting in the queue. running - return actions that are running. finished - return actions that have finished."},"670":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_ProxyPassword.htm",l:-1,t:"ProxyPassword",i:0.00436126300464729,a:"ProxyPassword The password to use to authenticate with the proxy server."},"671":{y:0,u:"../Content/Service/ServiceActions/_ACI_Logs.htm",l:-1,t:"Logs",i:0.00254847327115541,a:"Logs The log files to include in the diagnostic ZIP file. You can use one of the following options: Action Diagnostic Type: String Default: Current Required: No Example: Logs=Full See Also:"},"672":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_ProxyUsername.htm",l:-1,t:"ProxyUsername",i:0.00436126300464729,a:"ProxyUsername The user name to use to authenticate with the proxy server."},"673":{y:0,u:"../Content/Actions/General/_ACI_Data.htm",l:-1,t:"Data",i:0.00107788483212747,a:"Data The encrypted version of the original action. To send an encrypted action, encrypt the action and then send it in the Data parameter of the  Encrypted  action. "},"674":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_MinPriority.htm",l:-1,t:"Min-Priority",i:0.0022553983443552,a:"Min-Priority Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the connector only returns actions that have a priority the same as or higher than the specified value."},"675":{y:0,u:"../Content/Configuration/SSL/_ACI_SSLConfig.htm",l:-1,t:"SSLConfig",i:0.0120766170000052,a:"Identifies the configuration section in which the SSL configuration details are specified, usually SSLOptionN. You must set this parameter if you are using SSL connections between components. To control incoming ACI calls, set this parameter in the [Server] section. To control outgoing ACI calls, ..."},"676":{y:0,u:"../Content/Configuration/TaskName/Http/_CN_AcceptCompressedEncodings.htm",l:-1,t:"AcceptCompressedEncodings",i:0.00440977179280728,a:"A Boolean value that specifies whether to accept compressed responses to HTTP requests (by setting the header Accept-Encoding: gzip). You should only set this parameter if you are troubleshooting connection problems and have set  EnableHTTPTrace  to TRUE. In this case, set this parameter to FALSE so ..."},"677":{y:0,u:"../Content/Actions/SharedParameters/_ACI_TemplateParamCSVs.htm",l:-1,t:"TemplateParamCSVs",i:0.000475620260558235,a:"A comma-separated list of variables to set in the XSL template.  If you specify an XSL template in the  Template  parameter, you can set the XSLT variables for the template by setting TemplateParamCSVs. Set a variable by adding the parameter name and the value, separated by a comma. To set multiple ..."},"678":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_FinishedBefore.htm",l:-1,t:"Finished-Before",i:0.0022553983443552,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that finished processing before the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ..."},});